package fr.openium.consentium.api.adapter

import fr.openium.consentium.api.model.Vendor
import fr.openium.consentium.api.model.VendorIdentifier
import fr.openium.consentium.data.remote.model.GetConsent

internal fun GetConsent.VendorDTO.toVendor() = Vendor(
    identifier = VendorIdentifier.fromString(identifier),
    isAccepted = isAccepted,
    isRequired = isRequired,
)